gov.ornl.mercury3.services

## Class Mercury_db_ServiceImpl

- java.lang.Object
- - gov.ornl.mercury3.services.Mercury_db_ServiceImpl

-     public class Mercury_db_ServiceImpl
      extends Object

  Programmatic database transaction service implementation Mercury_db_ServiceImpl.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Mercury_db_ServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TransformedFiles` | `findbyfileURL(String ID)` Findbyfile url.
    `TransformedFiles` | `findbyID(Integer ID)` Findby id.
    `TransformedFiles` | `findbyURL(String ID)` Findby url.
    `void` | `saveQuery(Query q1)` Save query.
    `void` | `saveRateUs(MercuryRateus rateus)` Save rate us.
    `void` | `saveReferral(Referral ref1)` Save referral.
    `void` | `saveResultSet(ResultSet rs1)` Save result set.
    `void` | `saveRetrieval(Retrieval r1)` Save retrieval.
    `void` | `saveSession(Session s1)` Save session.
    `void` | `saveTerm(Term t1)` Save term.
    `void` | `setQdao(QueryDAO qdao)` Sets the qdao.
    `void` | `setRatedao(MercuryRateusDAO ratedao)` Sets the ratedao.
    `void` | `setRdao(RetrievalDAO rdao)` Sets the rdao.
    `void` | `setRefdao(ReferralDAO refdao)` Sets the refdao.
    `void` | `setRsdao(ResultSetDAO rsdao)` Sets the rsdao.
    `void` | `setSdao(SessionDAO sdao)` Sets the Session Data Access Object.
    `void` | `setTdao(TermDAO tdao)` Sets the tdao.
    `void` | `setTfdao(TransformedFilesDAO tfdao)` Sets the TransformedFiles Data Access Object.
    `void` | `setTransactionManager(org.springframework.transaction.PlatformTransactionManager transactionManager)` Sets the transaction manager.
    `void` | `setTransactionTemplate(org.springframework.transaction.support.TransactionTemplate transactionTemplate)` Sets the transaction template.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Mercury_db_ServiceImpl

          public Mercury_db_ServiceImpl()

  - ### Method Detail

    - #### setTransactionManager

          public void setTransactionManager(org.springframework.transaction.PlatformTransactionManager transactionManager)

      Sets the transaction manager.
      Parameters:
        `transactionManager` - the new transaction manager

    - #### setTransactionTemplate

          public void setTransactionTemplate(org.springframework.transaction.support.TransactionTemplate transactionTemplate)

      Sets the transaction template.
      Parameters:
        `transactionTemplate` - the new transaction template

    - #### setTfdao

          public void setTfdao(TransformedFilesDAO tfdao)

      Sets the TransformedFiles Data Access Object.
      Parameters:
        `tfdao` - the new tfdao

    - #### setSdao

          public void setSdao(SessionDAO sdao)

      Sets the Session Data Access Object.
      Parameters:
        `sdao` - the new sdao

    - #### findbyID

          public TransformedFiles findbyID(Integer ID)

      Findby id.
      Parameters:
        `ID` - the iD
      Returns:
        the transformed files

    - #### findbyURL

          public TransformedFiles findbyURL(String ID)

      Findby url.
      Parameters:
        `ID` - the iD
      Returns:
        the transformed files

    - #### findbyfileURL

          public TransformedFiles findbyfileURL(String ID)

      Findbyfile url.
      Parameters:
        `ID` - the iD
      Returns:
        the transformed files

    - #### setQdao

          public void setQdao(QueryDAO qdao)

      Sets the qdao.
      Parameters:
        `qdao` - the new qdao

    - #### setTdao

          public void setTdao(TermDAO tdao)

      Sets the tdao.
      Parameters:
        `tdao` - the new tdao

    - #### setRsdao

          public void setRsdao(ResultSetDAO rsdao)

      Sets the rsdao.
      Parameters:
        `rsdao` - the new rsdao

    - #### setRdao

          public void setRdao(RetrievalDAO rdao)

      Sets the rdao.
      Parameters:
        `rdao` - the new rdao

    - #### setRefdao

          public void setRefdao(ReferralDAO refdao)

      Sets the refdao.
      Parameters:
        `refdao` - the new refdao

    - #### saveSession

          public void saveSession(Session s1)

      Save session.
      Parameters:
        `s1` - the s1

    - #### saveTerm

          public void saveTerm(Term t1)

      Save term.
      Parameters:
        `t1` - the t1

    - #### saveQuery

          public void saveQuery(Query q1)

      Save query.
      Parameters:
        `q1` - the q1

    - #### saveResultSet

          public void saveResultSet(ResultSet rs1)

      Save result set.
      Parameters:
        `rs1` - the rs1

    - #### saveRetrieval

          public void saveRetrieval(Retrieval r1)

      Save retrieval.
      Parameters:
        `r1` - the r1

    - #### saveReferral

          public void saveReferral(Referral ref1)

      Save referral.
      Parameters:
        `ref1` - the ref1

    - #### saveRateUs

          public void saveRateUs(MercuryRateus rateus)

      Save rate us.
      Parameters:
        `rateus` - the rateus

    - #### setRatedao

          public void setRatedao(MercuryRateusDAO ratedao)

      Sets the ratedao.
      Parameters:
        `ratedao` - the new ratedao

Copyright © 2016. All rights reserved.